Bug 211214 - Review Request: mod_revocator
Review Request: mod_revocator
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 241927
  Show dependency treegraph
 
Reported: 2006-10-17 17:04 EDT by Rob Crittenden
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-21 11:03:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rob Crittenden 2006-10-17 17:04:50 EDT
Spec URL:  http://directory.fedora.redhat.com/built/rpm_review/rcritten/mod_revocator.spec
SRPM URL:  http://directory.fedora.redhat.com/built/rpm_review/rcritten/mod_revocator-1.0.2-1.src.rpm
Description: Automatic CRL retrieval and installation module for the Apache HTTP server

The mod_revocator module retrieves and installs remote
Certificate Revocate Lists (CRLs) into an Apache web server using the NSS crypto engine (mod_nss).
Comment 1 Kevin Fenzi 2006-11-12 00:30:15 EST
Here's a review: 


OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name.
OK - Spec has consistant macro usage.
OK - Meets Packaging Guidelines.
OK - License (Apache)
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
See below - Sources match upstream md5sum:
OK - BuildRequires correct
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Package has correct buildroot
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.

OK - Package compiles and builds on at least one arch.  
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
OK - Package owns all the directories it creates.
See below - No rpmlint output.
OK - final provides and requires are sane:

SHOULD Items:

OK - Should build in mock.
x86_64/i386 - Should build on all supported archs
OK - Should have dist tag
OK - Should package latest version

Issues:

1. The Source url doesn't seem to be working... I get a 404 from it.

2. rpmlint says:

W: mod_revocator devel-file-in-non-devel-package /usr/lib/librevocation.so

This can be ignored if httpd is loading it directly as you mention...

3. If the /usr/lib/librevocation.so file is directly loaded by httpd,
are the ldconfig calls even needed in post/postun?
Comment 2 Rob Crittenden 2006-11-12 16:08:41 EST
Source URL fixed.

/usr/lib/librevocation.so.0 is linked to the binary ldapget which is why
ldconfig is run.
Comment 3 Kevin Fenzi 2006-11-12 21:51:45 EST
ok, the Source url works for me now... 

The md5sum matches: 
07307d8972e3442fd81d84e3852611c5  mod_revocator-1.0.2.tar.gz
07307d8972e3442fd81d84e3852611c5  mod_revocator-1.0.2.tar.gz.1

That was the last blocker I see, so this package is APPROVED. 

Don't forget to close this NEXTRELEASE once it's been imported and built. 

Also, consider reviewing another waiting package to help spread out the
reviewing load. 
Comment 4 Rob Crittenden 2006-11-21 11:03:00 EST
Thanks for the review.

Built for devel, FC-5 and FC-6.

Note You need to log in before you can comment on or make changes to this bug.